#!/bin/bash

# Define database connection parameters
DATABASE_URL="postgresql://postgres:AaIF1Oclg0Ekm7h8Z8DwISgOXBbjMASs9CNk@localhost:5432/dev_v2"

# Define the schema to backup
SCHEMA_NAME="public"

# Define the output directory and filename
OUTPUT_DIR="/var/www/html"  # Set the output directory to /var/www/html
OUTPUT_FILE="$OUTPUT_DIR/db_backup_$(date +%Y%m%d_%H%M%S).sql"
ZIP_FILE="$OUTPUT_DIR/db_backup_$(date +%Y%m%d_%H%M%S).zip"

# Create output directory if it doesn't exist
mkdir -p "$OUTPUT_DIR"

# Export the database to a SQL file, specifying the schema
echo "Backing up database to $OUTPUT_FILE..."
pg_dump -U postgres -d dev_v2 -n "$SCHEMA_NAME" > "$OUTPUT_FILE"

# Check if the backup was successful
if [ $? -ne 0 ]; then
    echo "Error during database backup."
    exit 1
fi

# Compress the SQL file into a ZIP archive
echo "Compressing backup into $ZIP_FILE..."
zip -q "$ZIP_FILE" "$OUTPUT_FILE"

# Check if the zip was successful
if [ $? -eq 0 ]; then
    echo "Backup successfully created at $ZIP_FILE."
    # Optionally remove the SQL file after zipping
    rm "$OUTPUT_FILE"
else
    echo "Error during compression."
    exit 1
fi

